pydo.harness.get_config()

Generated on 16 Oct 2026 from pydo version v0.44.0

Usage

client.harness.get_config(config_id="019fb39c-14d9-7080-933e-b9b90e25acda")
Returns JSON Raises HttpResponseError

Description

Returns one team-scoped Environment Config including the sanitized environment spec and redacted credential slot metadata. Secret values are never returned.

Parameters

config_id string required

Example: 019fb39c-14d9-7080-933e-b9b90e25acda

The Environment Config UUID.

Response Example

Show Response Example
{
  "config": {
    "id": "019fb39c-14d9-7080-933e-b9b90e25acda",
    "name": "support-agent",
    "agentspec_schema_version": "agents.digitalocean.com/v1alpha1",
    "content_hash": "75803fef24dc731824ecd4a1853c76153c7d8503534092b94da3ca3f31a882f4",
    "created_by": "user-1",
    "created_at": "2026-08-01T12:00:00Z",
    "updated_at": "2026-08-01T12:00:00Z",
    "credentials": []
  }
}

More Information

See /v2/agents/configs/{config_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.